USBConnection Class Reference

Class for creating connection to a PC that acts as a USB host for synchronization of data using buteosyncml. More...

`#include <USBConnection.h>`

Inheritance diagram for USBConnection:

## Signals

void | usbConnected (int fd)

## Public Member Functions

virtual int | connect ()
virtual bool | isConnected () const
virtual void | disconnect ()
void | handleSyncFinished (bool isSyncInError)

## Protected Slots

void | handleUSBActivated (int fd)
void | handleUSBError (int fd)

## Detailed Description

Class for creating connection to a PC that acts as a USB host for synchronization of data using buteosyncml.

## Member Function Documentation

## connect()

virtual int USBConnection::connect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::connect ()

## disconnect()

virtual void USBConnection::disconnect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::disconnect ()

## isConnected()

virtual bool USBConnection::isConnected | ( |  | ) | const

virtual

See also
  DataSync::OBEXConnection::isConnected ()

The documentation for this class was generated from the following file:

- USBConnection.h